$imageBorderRadius: 4px;
$imageWidth: 320px;

.grid {
    display: grid;
    gap: 10px;
    margin: 10px;

    div {
        position: relative;
        overflow: hidden;
        border-radius: $imageBorderRadius;
        // cursor: zoom-in;

        span {
            position: absolute; 
            bottom: 40px; 
            left: 15px; 
            height: 0;
            color: white;
        }

        img {
            width: 100%;
            aspect-ratio: 4 / 3;
            box-shadow: var(--shadow);
            transition: transform .2s;
            transform: scale(1.02);
        }

        &:hover img { transform: scale(1.12) }
    }
    
}

.grid { grid-template-columns: repeat(auto-fit, minmax($imageWidth, 1fr)) }